Public Attributes

# IBIOSSettings Interface Reference

The IBIOSSettings interface represents BIOS settings of the virtual machine. More...

List of all members.

## Public Attributes
attribute boolean | logoFadeIn
| Fade in flag for BIOS logo animation.
attribute boolean | logoFadeOut
| Fade out flag for BIOS logo animation.
attribute unsigned long | logoDisplayTime
| BIOS logo display time in milliseconds (0 = default).
attribute wstring | logoImagePath
| Local file system path for external BIOS splash image.
attribute BIOSBootMenuMode | bootMenuMode
| Mode of the BIOS boot device menu.
attribute boolean | ACPIEnabled
| ACPI support flag.
attribute boolean | IOAPICEnabled
| IO APIC support flag.
attribute long long | timeOffset
| Offset in milliseconds from the host system time.
attribute boolean | PXEDebugEnabled
| PXE debug logging flag.

## Detailed Description

The IBIOSSettings interface represents BIOS settings of the virtual machine.

This is used only in the IMachine::BIOSSettings attribute.

Interface ID:
  `{38B54279-DC35-4F5E-A431-835B867C6B5E}`

## Member Data Documentation

attribute boolean IBIOSSettings::logoFadeIn

Fade in flag for BIOS logo animation.

attribute boolean IBIOSSettings::logoFadeOut

Fade out flag for BIOS logo animation.

attribute unsigned long IBIOSSettings::logoDisplayTime

BIOS logo display time in milliseconds (0 = default).

attribute wstring IBIOSSettings::logoImagePath

Local file system path for external BIOS splash image.

Empty string means the default image is shown on boot.

attribute BIOSBootMenuMode IBIOSSettings::bootMenuMode

Mode of the BIOS boot device menu.

attribute boolean IBIOSSettings::ACPIEnabled

ACPI support flag.

attribute boolean IBIOSSettings::IOAPICEnabled

IO APIC support flag.

If set, VirtualBox will provide an IO APIC and support IRQs above 15.

attribute long long IBIOSSettings::timeOffset

Offset in milliseconds from the host system time.

This allows for guests running with a different system date/time than the host. It is equivalent to setting the system date/time in the BIOS except it is not an absolute value but a relative one. Guest Additions time synchronization honors this offset.

attribute boolean IBIOSSettings::PXEDebugEnabled

PXE debug logging flag.

If set, VirtualBox will write extensive PXE trace information to the release log.